entropy_poll.h File Reference

Platform-specific and custom entropy polling functions. More...

`#include "config.h"`
`#include <stddef.h>`
Include dependency graph for entropy_poll.h:

Go to the source code of this file.

## Macros

#define | MBEDTLS_ENTROPY_MIN_PLATFORM 32
| Minimum for platform source. More...
#define | MBEDTLS_ENTROPY_MIN_HAVEGE 32
| Minimum for HAVEGE. More...
#define | MBEDTLS_ENTROPY_MIN_HARDCLOCK 4
| Minimum for mbedtls_timing_hardclock() More...
#define | MBEDTLS_ENTROPY_MIN_HARDWARE 32
| Minimum for the hardware source. More...

## Functions

int | mbedtls_havege_poll (void *data, unsigned char *output, size_t len, size_t *olen)
| HAVEGE based entropy poll callback. More...
int | mbedtls_hardclock_poll (void *data, unsigned char *output, size_t len, size_t *olen)
| mbedtls_timing_hardclock-based entropy poll callback More...
int | mbedtls_hardware_poll (void *data, unsigned char *output, size_t len, size_t *olen)
| Entropy poll callback for a hardware source. More...

## Detailed Description

Platform-specific and custom entropy polling functions.

Copyright (C) 2006-2015, ARM Limited, All Rights Reserved SPDX-License-Identifier: Apache-2.0

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

This file is part of mbed TLS (https://tls.mbed.org)

Definition in file entropy_poll.h.

## Macro Definition Documentation

#define MBEDTLS_ENTROPY_MIN_HARDCLOCK 4

Minimum for mbedtls_timing_hardclock()

Definition at line 43 of file entropy_poll.h.

#define MBEDTLS_ENTROPY_MIN_HARDWARE 32

Minimum for the hardware source.

Definition at line 44 of file entropy_poll.h.

#define MBEDTLS_ENTROPY_MIN_HAVEGE 32

Minimum for HAVEGE.

Definition at line 42 of file entropy_poll.h.

#define MBEDTLS_ENTROPY_MIN_PLATFORM 32

Minimum for platform source.

Definition at line 41 of file entropy_poll.h.

## Function Documentation

int mbedtls_hardclock_poll | ( | void * | data,
|  | unsigned char * | output,
|  | size_t | len,
|  | size_t * | olen
| ) |  |

mbedtls_timing_hardclock-based entropy poll callback

int mbedtls_hardware_poll | ( | void * | data,
|  | unsigned char * | output,
|  | size_t | len,
|  | size_t * | olen
| ) |  |

Entropy poll callback for a hardware source.

Warning
  This is not provided by mbed TLS! See `MBEDTLS_ENTROPY_HARDWARE_ALT` in config.h.

Note
  This must accept NULL as its first argument.

int mbedtls_havege_poll | ( | void * | data,
|  | unsigned char * | output,
|  | size_t | len,
|  | size_t * | olen
| ) |  |

HAVEGE based entropy poll callback.

Requires an HAVEGE state as its data pointer.